Bug 863697 - SELinux is preventing /usr/sbin/winbindd from 'read' accesses on the file /usr/share/samba/codepages/lowcase.dat.
SELinux is preventing /usr/sbin/winbindd from 'read' accesses on the file /us...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:5054252ea8e05bb01432286f3db...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 13:13 EDT by Stef Walter
Modified: 2012-12-20 10:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:38:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-06 13:13 EDT, Stef Walter
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-06 13:13 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-10-06 13:13:04 EDT
Additional info:
libreport version: 2.0.14
kernel:         3.6.0-0.rc7.git1.4.fc18.x86_64

description:
:SELinux is preventing /usr/sbin/winbindd from 'read' accesses on the file /usr/share/samba/codepages/lowcase.dat.
:
:*****  Plugin catchall_labels (83.8 confidence) suggests  ********************
:
:If you want to allow winbindd to have read access on the lowcase.dat file
:Then you need to change the label on /usr/share/samba/codepages/lowcase.dat
:Do
:# semanage fcontext -a -t FILE_TYPE '/usr/share/samba/codepages/lowcase.dat'
:where FILE_TYPE is one of the following: sysfs_t, sssd_public_t, bin_t, cert_t, rpm_script_tmp_t, krb5_keytab_t, ld_so_cache_t, user_tmp_t, sssd_public_t, passwd_file_t, auth_cache_t, machineid_t, krb5_conf_t, puppet_tmp_t, abrt_var_run_t, proc_t, user_cron_spool_t, winbind_log_t, krb5_conf_t, user_home_t, sysctl_crypto_t, etc_runtime_t, smbd_tmp_t, faillog_t, samba_var_t, samba_etc_t, proc_net_t, net_conf_t, chkpwd_exec_t, samba_secrets_t, updpwd_exec_t, winbind_t, ctdbd_var_lib_t, samba_var_t, nmbd_var_run_t, pcscd_var_run_t, smbd_var_run_t, samba_etc_t, samba_log_t, udev_var_run_t, net_conf_t, locale_t, ld_so_t, abrt_t, sysctl_kernel_t, lib_t, man_t, cpu_online_t, afs_cache_t, abrt_helper_exec_t, etc_t, tmpfile, cert_t, puppet_tmp_t, fail2ban_var_lib_t, winbind_var_run_t, winbind_exec_t, textrel_shlib_t. 
:Then execute: 
:restorecon -v '/usr/share/samba/codepages/lowcase.dat'
:
:
:*****  Plugin catchall (17.1 confidence) suggests  ***************************
:
:If you believe that winbindd should be allowed read access on the lowcase.dat file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep winbindd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:winbind_t:s0
:Target Context                system_u:object_r:usr_t:s0
:Target Objects                /usr/share/samba/codepages/lowcase.dat [ file ]
:Source                        winbindd
:Source Path                   /usr/sbin/winbindd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           samba-winbind-4.0.0-150.fc18.rc1.x86_64
:Target RPM Packages           samba-common-4.0.0-150.fc18.rc1.x86_64
:Policy RPM                    selinux-policy-3.11.1-25.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-0.rc7.git1.4.fc18.x86_64 #1
:                              SMP Tue Sep 25 19:55:25 UTC 2012 x86_64 x86_64
:Alert Count                   3
:First Seen                    2012-10-06 11:28:59 EDT
:Last Seen                     2012-10-06 13:10:51 EDT
:Local ID                      ecb3c81f-19f0-4ff3-8c55-c6017de6409d
:
:Raw Audit Messages
:type=AVC msg=audit(1349543451.810:482): avc:  denied  { read } for  pid=16110 comm="winbindd" name="lowcase.dat" dev="sda3" ino=2364847 scontext=system_u:system_r:winbind_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1349543451.810:482): arch=x86_64 syscall=open success=no exit=EACCES a0=18d8600 a1=0 a2=0 a3=1a items=0 ppid=1 pid=16110 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=winbindd exe=/usr/sbin/winbindd subj=system_u:system_r:winbind_t:s0 key=(null)
:
:Hash: winbindd,winbind_t,usr_t,file,read
:
:audit2allow
:
:#============= winbind_t ==============
:allow winbind_t usr_t:file read;
:
:audit2allow -R
:
:#============= winbind_t ==============
:allow winbind_t usr_t:file read;
:
Comment 1 Stef Walter 2012-10-06 13:13:08 EDT
Created attachment 622767 [details]
File: type
Comment 2 Stef Walter 2012-10-06 13:13:10 EDT
Created attachment 622768 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-10-08 03:56:12 EDT
commit 9a8c256f8ee1b08fa55e5b3ff5561fcc63dcc65a
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Mon Oct 8 09:53:48 2012 +0200

    Allown winbind to read /usr/share/samba/codepages/lowcase.dat
Comment 4 Fedora Update System 2012-10-11 05:04:24 EDT
selinux-policy-3.11.1-36.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-36.fc18
Comment 5 Fedora Update System 2012-10-11 13:23:01 EDT
Package selinux-policy-3.11.1-36.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-36.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15934/selinux-policy-3.11.1-36.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 10:38:46 EST
selinux-policy-3.11.1-36.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.